package rpgEngine.Data.Abstract.World;



public class MapCell {
	private Terrain terrain;
	private Terrain terrainObject;
	private CharacterAvatar character;
	private CharacterAvatar NPC;
	private Integer x;
	private Integer y;
	private Door door;
	
	public MapCell() {
		this(null,null,null,-1,-1);
	}
	
	public MapCell(Terrain t, Terrain to, Door d, Integer x, Integer y) {
		terrain = t;
		terrainObject = to;
		this.x = x;
		this.y = y;
		setDoor(d);
		character = null;
		setNPC(null);
	}

	public Terrain getTerrain() {
		return terrain;
	}

	public CharacterAvatar getCharacter() {
		return character;
	}

	public void setCharacter(CharacterAvatar character) {
		this.character = character;
	}

	public Integer getX() {
		return x;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getY() {
		return y;
	}

	public void setY(Integer y) {
		this.y = y;
	}

	public Terrain getTerrainObject() {
		return terrainObject;
	}

	public void setTerrainObject(Terrain terrainObject) {
		this.terrainObject = terrainObject;
	}

	public Door getDoor() {
		return door;
	}

	public void setDoor(Door door) {
		this.door = door;
	}

	public CharacterAvatar getNPC() {
		return NPC;
	}

	public void setNPC(CharacterAvatar nPC) {
		NPC = nPC;
	}
	
}
